#pragma once
#include <stdint.h>
#include "player.h"

#define ACTION_NONE 0
#define ACTION_PLAY_ONCE 1
#define ACTION_STOP 2
#define ACTION_QUIT 3

void ui_input(char input);
uint8_t do_ui(uint8_t _playing, pattern_t * _pattern, uint8_t _row);
void ui_init();